summaryrefslogtreecommitdiff
path: root/dev-qt/qtwayland
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-02-05 17:18:29 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-02-05 17:18:29 +0000
commit0f9913644a9fcd9a54db903c8aa56ab6314b5ceb (patch)
tree6d4bf7dfe55a90962d56a6db55ea87586f5ebaeb /dev-qt/qtwayland
parent7da9849596807df02edcb7877dec8c3e221919bf (diff)
Qt 5.9.4 unleashes hell, prevent upgrades
Diffstat (limited to 'dev-qt/qtwayland')
-rw-r--r--dev-qt/qtwayland/Manifest1
-rw-r--r--dev-qt/qtwayland/qtwayland-5.9.3.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-qt/qtwayland/Manifest b/dev-qt/qtwayland/Manifest
new file mode 100644
index 00000000..83e874b4
--- /dev/null
+++ b/dev-qt/qtwayland/Manifest
@@ -0,0 +1 @@
+DIST qtwayland-opensource-src-5.9.3.tar.xz 314652 SHA256 308e8c44b0ad13520868365d72786d3e3f0b384da99ee72ba543cd866f655f6d SHA512 1deb41d3a2e081fa434167211b975019840c56cbf04c8fc18325d405818c2ecee6d65c9376f498ddacc1587455d310b815d56124d6a7734b2857399abfb3b659 WHIRLPOOL d6be7509c6dcf3db4439b96ea9383323a28d18e730d0119a38761a1130418bb3438070fe4445d9eef447fda5d031b6c1685670099aaede2f76259181324a427b
diff --git a/dev-qt/qtwayland/qtwayland-5.9.3.ebuild b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
new file mode 100644
index 00000000..893af222
--- /dev/null
+++ b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Wayland platform plugin for Qt"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="amd64"
+fi
+
+IUSE="+libinput xcomposite"
+
+DEPEND="
+ >=dev-libs/wayland-1.6.0
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}[egl,libinput?]
+ media-libs/mesa[egl]
+ >=x11-libs/libxkbcommon-0.2.0
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ qt_use_disable_config libinput xkbcommon-evdev \
+ src/client/client.pro \
+ src/compositor/wayland_wrapper/wayland_wrapper.pri \
+ src/plugins/shellintegration/ivi-shell/ivi-shell.pro \
+ tests/auto/compositor/compositor/compositor.pro
+
+ use xcomposite || rm -r config.tests/xcomposite || die
+
+ qt5-build_src_prepare
+}